#include <bits/stdc++.h>


using namespace std;

long long a[100007];
long long n,i,s,p;

int main() {
cin>>n;
for(i=1;i<=n;i++) cin>>a[i];
s=0;

for(i=1;i<=n;i++){
    if(a[i]!=a[+1])
        a[i]--;
}
for(i=2;i<=n;i++)
    s+=a[i];


cout<<s<<endl;


return 0;
}
